Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#5895 closed change (fixed)

Let npm not try to resolve optional dependencies

Reported by: tlucas Assignee: tlucas
Priority: P2 Milestone:
Module: Automation Keywords:
Cc: kzar, sebastian, trev Blocked By:
Blocking: Platform: Unknown / Cross platform
Ready: yes Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

https://codereview.adblockplus.org/29584561/

Description (last modified by tlucas)

Background

After #5535 npm install causes warnings while trying to resolve optional dependencies, e.g.

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.1.2 (node_modules/fsevents):

This again causes our servers running cron to dispatch pointless emails.

What to change

Change ensure_dependencies.py to run npm install with an additional paramter --no-optional, preventing it from trying to resolve not explicitly needed dependencies.

Change History (5)

comment:1 Changed 2 years ago by kzar

  • Priority changed from Unknown to P2
  • Ready set

comment:2 Changed 2 years ago by tlucas

  • Owner set to tlucas

comment:3 Changed 2 years ago by abpbot

A commit referencing this issue has landed:
Issue 5895 - Don't resolve optional npm dependencies

comment:4 Changed 2 years ago by tlucas

  • Resolution set to fixed
  • Review URL(s) modified (diff)
  • Status changed from new to closed

comment:5 Changed 2 years ago by tlucas

  • Description modified (diff)
Note: See TracTickets for help on using tickets.